#pragma once

#include <vector>



namespace geom
{


class GeomObject;


class PolylineLenInfo
{
public:
	PolylineLenInfo(void) :
		Length(0.0f)
	{
	}


public:
	lm::vec3f TargetPos;
	float     Length;
};


class PolylineContext
{
public:
	void CreateLengthInfo(const GeomObject& obj);
	bool HasLengthInfo(void) const;


public:
	std::vector<PolylineLenInfo> LenInfo;
};


}
